<?php
/*
=================================================================
Bullet Energy - by White-Master 
-----------------------------------------------------------------
http://white-master.ru/
-----------------------------------------------------------------
Copyright (c) 2011 White-Master
=================================================================
Данный код защищен авторскими правами
=================================================================
Файл: ajax.class.php
=================================================================
*/
class BulletAjax
{
  protected static $dle_config = array();
  protected static $id_member = array();
  protected static $group_user = array();
  protected static $lang_local = array();
  protected static $modules_lang = array();
  protected static $modules_config = array();
  protected static $moderator = array();
  protected static $group_config = array();
  protected static $treePermanent = array();
  protected static $sys_cashe = array();
  protected static $question = array();
  protected static $logged_is = false;
  public static $ajax_handler = null;
  protected static $login_hash = '';
  public function __construct()
  {
    global $config, $member_id, $user_group, $dle_login_hash, $is_logged;
    require_once (ENGINE_DIR . '/bullet_energy/classes/ajax_handler.class.php');
    require_once (ENGINE_DIR . '/bullet_energy/data/forum_config.php');
    require_once (ENGINE_DIR . '/bullet_energy/library/language/' . $config['langs'] . '/site.lng');
    self::$dle_config = $config;
    self::$modules_lang = $bullet_energy_lang;
    self::$lang_local = $langdates;
    self::$id_member = $member_id;
    self::$group_user = $user_group;
    self::$login_hash = $dle_login_hash;
    self::$logged_is = $is_logged;
    self::$modules_config = $bullet_energy_config;
    $this->ajax_handler = new BulletAjaxHandler;
    self::$group_config = $this->ajax_handler->setGroupConfig();
    self::$moderator = $this->ajax_handler->setModerConfig();
    self::$treePermanent = $this->ajax_handler->setTreePermanentConfig();
    self::$question = $this->ajax_handler->setQuestionConfig();
    self::$sys_cashe = $this->ajax_handler->setSystemCasheGroup();
  }
}

?>